CONNMAN-VPN(8)

NAME
ConnMan-VPN - VPN management daemon

SYNOPSIS
connman-vpnd [--version|--help]

connman-vpnd [-c file] [-d [ file[,...]]] [-p plugin[,...]] [-P plugin[,...]] [-n] [-r]

DESCRIPTION
The ConnMan-VPN provides a daemon for managing vpn connections together with connmand(8). The Connection Manager is designed to be slim and to use as few resources as possible. The VPN daemon supports openconnect(8), openvpn(8), vpnc(8) and L2TP/PPTP (xl2tpd.conf(5), pptp(8), pppd(8)).

OPTIONS
The following options are supported:

-v, --version
    Print the ConnMan-VPN software version and exit.

-h, --help
    Print ConnMan-VPN's available options and exit.

-c file, --config=file
    Specify configuration file to set up various settings for ConnMan. If not specified, the default value of /etc/connman/connman-vpn.conf is used. See connman-vpn.conf(5) for more information on configuration file. The use of config file is optional and sane default values are used if config file is missing.

-d [file[,...]], --debug[=file[,...]]
    Sets how much information ConnMan-VPN sends to the log destination (usually syslog's "daemon" facility). If the file options are omitted, then debugging information from all the source files are printed. If file options are present, then only debug prints from that source file are printed. Example:

           connman-vpnd --debug=vpn/vpn-provider.c,vpn/vpn-config.c

-n, --nodaemon
    Do not daemonize. This is useful for debugging, and directs log output to the controlling terminal in addition to syslog.

-r, --routes
    Manage VPN routes instead of telling connmand(8) to do it.

SEE ALSO
connmanctl(1), connman-vpn.conf(5), connman-vpn-provider.config(5), connmand(8)